@use '../core/variables_scss' as v;

.-bg {
  @each $color, $variants in v.$states {
    @each $variant in $variants {
      &--color-#{"" + $variant} { background-color: var(--color-#{"" + $color}) }
      &--color-#{"" + $variant}-alt { background-color: var(--color-#{"" + $color}-alt) }
    }
  }

  @each $color in v.$colors {
    &--color-#{"" + $color} { background-color: var(--color-#{"" + $color}) }
    &--color-#{"" + $color}-alt { background-color: var(--color-#{"" + $color}-alt) }
  }
}

.-checked-background { background-image: var(--background-checked); }

.-bg-component {
  background-color: var(--component-content-background);

  &--alt {
    background-color: var(--component-content-background-alt);
  }
}

.-bg-default {
  background-color: var(--background-color);

  &--alt {
    background-color: var(--background-color-alt);
  }
}
